<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEformBusinessBusinessesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: eform_business_businesses
         */
        Schema::create('eform_business_businesses', function ($table) {
            $table->increments('id');
            $table->string('name', 30)->nullable();
            $table->string('EIN', 9)->nullable();
            $table->string('street', 35)->nullable();
            $table->string('zip', 5)->nullable();
            $table->string('city', 30)->nullable();
            $table->integer('state')->nullable();
            $table->integer('country')->nullable();
            $table->enum('address_changed', ['Yes', 'No'])->nullable();
            $table->string('signing_name', 30)->nullable();
            $table->string('signing_pin', 5)->nullable();
            $table->string('signing_phone', 13)->nullable();
            $table->enum('third_party_designee', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('Status', ['Yes', 'No'])->nullable();
            $table->string('slug', 60)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('eform_business_businesses');
    }
}
