<?php

namespace Eform\Business\Policies;

use Eform\Business\Models\Business;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BusinessAction
{

    /**
     * Determine if the given user can copy the given business.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Business $business)
    {

        if ($authUser->canDo('business.business.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given business.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Business $business) {

        if ($authUser->canDo('business.business.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given business.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Business $business)
    {

        if ($authUser->canDo('business.business.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
